QGIS Application - Bug report #17813

[MacOS] Some action hangs QGIS for long time.

2018-01-06 09:37 AM - Michal Jurewicz

Status: Closed
Priority: Normal
Assignee:

Category: Unknown

Affected QGIS version:master
Operating System: MacOS 10.13.2
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: Yes
Easy fix?: No
Resolution: duplicate

Copied to github as #: 25709

Description

| install fresh master build today and there is new problem with performance of QGIS. Some actions like zooming, deleting layers,
changing layer settings hang QGIS for very long time (10 - 30 s) and sometimes it just hangs for forever.

History

#1 - 2018-01-08 12:33 PM - Michal Jurewicz

Today | confirmed that problem is with new version of QGIS master. Older version (2017-12-08) installed with Macports works just fine.

#2 - 2018-01-14 06:48 AM - Michal Jurewicz
- File Error Message.txt added

| manage to capture error message when | made force quit of hanged QGIS. | attached it to that post.

#3 - 2018-01-14 09:03 AM - Michal Jurewicz

I just checked what messages QGIS shows when hanging on terminal. It shows these lines:

../src/core/qgsmessagelog.cpp: 27: (logMessage) [301ms] 2018-01-14T08:39:29 Qt[1] Could not parse stylesheet of object 0x7f94d2df2eb0

Warning: Could not parse stylesheet of object 0x7f94d2e039b0

../src/core/qgsmessagelog.cpp: 27: (logMessage) [1ms] 2018-01-14T08:39:29 Qit[1] Could not parse stylesheet of object 0x7f94d2e039b0

Warning: Could not parse stylesheet of object 0x7f94d2df2eb0

../src/core/qgsmessagelog.cpp: 27: (logMessage) [11ms] 2018-01-14T08:39:29 Qt[1] Could not parse stylesheet of object 0x7f94d2df2eb0

Warning: Could not parse stylesheet of object 0x7f94d2e039b0

../src/core/qgsmessagelog.cpp: 27: (logMessage) [0ms] 2018-01-14T08:39:29 Qit[1] Could not parse stylesheet of object 0x7f94d2e039b0

../src/providers/wms/ggswmsprovider.cpp: 3314: (getLegendGraphicFullURL) [269ms] getLegendGraphic url is empty

(
../src/providers/wms/qgswmsprovider.cpp: 3314: (getLegendGraphicFullURL) [0ms] getLegendGraphic url is empty
(

../src/providers/wms/ggswmsprovider.cpp: 3314: (getLegendGraphicFullURL) [99ms] getLegendGraphic url is empty

../src/providers/wms/qgswmsprovider.cpp: 3314: (getLegendGraphicFullURL) [0ms] getLegendGraphic url is empty

../src/gui/qgsmapcanvas.cpp: 483: (refresh) [24488ms] CANVAS refresh scheduling

../src/gui/qgsmapcanvas.cpp: 477: (refresh) [4ms] CANVAS refresh already scheduled

#4 - 2018-01-16 08:18 AM - Michal Jurewicz
| made additional tests and | rather confirm that it's a problem with current QGIS master code.

Native MacOS High Sierra 10.13.2 with fresh QGIS master build installed via homebrew formula - problem occurs

Native MacOS High Sierra 10.13.2 with master build (version from 2018-01-10) installed via MacPort - problem occurs

Native MacOS High Sierra 10.13.2 with master build (version from 2017-12-27) installed via MacPort - works just fine!!l. All installed dependencies are
the same.

Some change made between 2017-12-27 and 2018-01-10 causes a problem.

| also made similar comparison on fresh virtualised MacOS 10.13.2 and results are the same.

However current master installed on virtualised Windows 10 works fine.

#5 - 2018-01-24 09:09 AM - Nyall Dawson
- Status changed from Open to Feedback

Is this still an issue on current master? There's been a number of possible fixes implemented

#6 - 2018-01-24 01:19 PM - Salvatore Larosa

Just done a test with the latest master and | can confirm the bug. | only am trying to change symbology to vector layer.

#7 - 2018-01-24 06:50 PM - Michal Jurewicz

| can't try current master, because homebrew formula for installing qgis3-dev is completely broken now. However person who maintain QGIS ports on
MacPorts confirm that the problem is still there: https:/trac.macports.org/ticket/55696#comment:5

#8 - 2018-01-25 01:32 AM - Mathieu Pellerin - nIRV

FYI, it's looking like Qt5.10 has a regression impacting QGIS, causing hangs n crashes. Denis, aka 3nids, is trying to further confirm that suspicion.

#9 - 2018-01-26 09:48 PM - Nyall Dawson
- Resolution set to duplicate
- Status changed from Feedback to Closed

Duplicate of #17916

Files

Error Message.txt 899 KB 2018-01-14 Michal Jurewicz
